import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const tag = await client.tags.create({ name: 'API Documentation' });
console.log(tag.data);{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "API Documentation",
"color": "#3B82F6",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"description": "Tag for API-related documentation"
}
}Creates a new tag with the provided information.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const tag = await client.tags.create({ name: 'API Documentation' });
console.log(tag.data);{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "API Documentation",
"color": "#3B82F6",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"description": "Tag for API-related documentation"
}
}Your unique Avido API key
Your unique Avido Application ID
Request body for creating a new tag
Tag created successfully
Successful response containing the tag data
A tag that can be applied to documents for organization
Show child attributes